#!/bin/sh

if [ $# -eq 0 ]; then
        echo "Usage:";
        echo "  $0 <ver>";
        exit 1;
fi

MAJ_VER=5.5
VER=$1
REL=1
TYPE=linux2.6

del_file()
{
        if [ -e $1 ]; then
                echo "Deleting: $1";
                rm -f $1;
                #ls -la $1;
        fi

        if [ -h $1 ]; then
                echo "Deleting link: $1";
                rm -f $1;
        fi
}

grab()
{
	del_file $VER/MySQL-${1}-${VER}-${REL}.${TYPE}.i386.rpm
}

grab64()
{
	del_file 64-bit/$VER/MySQL-${1}-${VER}-${REL}.${TYPE}.x86_64.rpm
}

doDebian()
{
	del_file ${2}/mysql-${VER}-${TYPE}-${1}.tar.gz
}

doMain()
{
        for i in server client devel shared; do
        {
                echo "deleting $i ...";
                grab $i
                grab64 $i
        };
        done;
}

CWD=`pwd`

rm -rf $VER
rm -rf 64-bit/$VER

doMain
cd $CWD
doDebian i686 debian
cd $CWD
doDebian x86_64 debian/64-bit
cd $CWD

del_file mysql-${VER}.tar.gz
del_file mysql-${VER}.tar.gz.md5

echo "Deleting $MAJ_VER/$VER"
rm -rf $MAJ_VER/$VER

echo "after deletion, found the following:";
find | grep $VER

exit 0;
